[package]
name = "operator"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true

[dependencies]
kube = { workspace = true }
k8s-openapi = { workspace = true }
serde = { workspace = true }
serde_json.workspace = true
serde_yaml = { workspace = true }
tokio = { workspace = true, features = ["rt-multi-thread", "macros", "sync"] }
anyhow.workspace = true
futures.workspace = true
tracing.workspace = true
tracing-subscriber.workspace = true
chrono = { workspace = true }
uuid = { workspace = true, features = ["v4"] }

[lints]
workspace = true
